#!/bin/bash

set -e

## Source debconf library.
. /usr/share/debconf/confmodule



if [ -e /etc/apache-ssl/apache_not_to_be_run ]; then
    db_set apache-ssl/init false
fi

if [ -e /etc/default/apache-ssl ]; then
    . /etc/default/apache-ssl
    db_set apache-ssl/init $start_at_boot
fi

if [ -e /usr/lib/apache-ssl/suexec ]; then
    db_set apache-ssl/enable-suexec true
else
    db_set apache-ssl/enable-suexec false
fi

db_input low apache-ssl/init || true
db_input medium apache-ssl/enable-suexec || true
db_go || true

